<?php



class BoldModule
{
    const MODULE_NAME = 'bold';
}

class BoldCheckoutParam
{
    const REFERENCE = 'bold-order-id';
    const BOLD_STATUS = 'bold-tx-status';

    const BOLD_TX_ID = 'bold-tx-id';

}

class BoldTxStatus
{
    const PROCESSING = 'PROCESSING';
    const APPROVED = 'APPROVED';
    const REJECTED = 'REJECTED';
    const PENDING = 'PENDING';
    const FAILED = 'FAILED';

}

class BoldPaymentEnv
{
    const PROD = "https://payments.api.bold.co";
    const STG = "https://stg.payments.api.bold.co";

    public static function getUrl()
    {
    return BOLD_ENV=='PROD' ? self::PROD : self::STG;
    }
}

class BoldScriptEnv
{
    const PROD = 'https://checkout.bold.co/library/boldPaymentButton.js';
    const STG = 'https://stg.checkout.bold.co/library/boldPaymentButton.js';

    public static function getUrl()
    {
        return BOLD_ENV=='PROD' ? self::PROD : self::STG;
    }

}

class BoldWebhookEnv
{
    const PROD = 'https://merchants-cde.api.bold.co/merchants/myself/configurations/webhook';
    const STG = 'https://stg.merchants-cde.api.bold.co/merchants/myself/configurations/webhook';

    public static function getUrl()
    {
        return BOLD_ENV=='PROD' ? self::PROD : self::STG;
    }
}