<?php



class Webhook
{
    public $type;
    public $subject;
    public $data;

    public function __construct($response)
    {
      $this->type = $response['type'];
      $this->subject = $response['subject'];
      $this->data = $response['data'];
    }

    public function getTransactionId()
    {
        return $this->subject;
    }

    public function getStatus()
    {   //TODO Vallidar reveresiones
        if ($this->type == 'SALE_APPROVED'){
            return 'APPROVED' ;
        }elseif (
            $this->type == 'SALE_REJECTED'
        )
            return 'REJECTED' ;
        return '';
    }

    public function getAmount()
    {
        return $this->data['amount']['total'];
    }

    public function getReferenceId()
    {
        return $this->data['metadata']['reference_id'];
    }


}