<?php

require_once  ROOT_URL. '/services/model/BoldTransaction.php';
class BoldOrderManager
{

    public function createOrder($cart_id, $amount, $customer_id, $payment_status, $is_payment_test)
    {
        $transaction=new BoldTransaction();
        $count = $transaction->where(array('cart_id', '=', $cart_id))->count();

        $data = array(
            'cart_id'=>$cart_id,
            'total'=>$amount,
            'customer_id' => $customer_id,
            'payment_status'=>$payment_status,
            'is_payment_test' => $is_payment_test
        );

        if ($count==0){
            $transaction->create($data);
        }else{
            $transaction->where(array('cart_id', '=', $cart_id))->update(
                [
                'total'=>$amount,
                'customer_id' => $customer_id,
                'payment_status'=>$payment_status,
                'is_payment_test' => $is_payment_test
                ]);
        }

    }

    public function updateOrder($cart_id, $order_id, $amount, $payment_status, $payment_id)
    {
        $transaction=new BoldTransaction();
        $data = array(
            'order_id'=>$order_id,
            'total'=>$amount,
            'payment_status'=>$payment_status,
            'payment_id' => $payment_id
        );
        $transaction->where(array('cart_id', '=', $cart_id))->update($data);

    }


}