<?php

class BoldSettings
{
    static function getConfigFormValues()
    {
        return array(
            'BOLD_API_KEY' => Configuration::get('BOLD_API_KEY'),
            'BOLD_SECRET_KEY' => Configuration::get('BOLD_SECRET_KEY'),
            'BOLD_TEST_API_KEY' => Configuration::get('BOLD_TEST_API_KEY'),
            'BOLD_TEST_SECRET_KEY' => Configuration::get('BOLD_TEST_SECRET_KEY'),
            'BOLD_TEST_MODE' => Configuration::get('BOLD_TEST_MODE'),
            'BOLD_BRAND' => Configuration::get('BOLD_BRAND'),
            'BOLD_PREFIX' => Configuration::get('BOLD_PREFIX'),
        );
    }

    static function isConfigFilled()
    {
        $configs = array(
            'BOLD_API_KEY',
            'BOLD_SECRET_KEY',
            'BOLD_TEST_API_KEY',
            'BOLD_TEST_SECRET_KEY',
        );

        foreach ($configs as $config) {
            $value = Configuration::get($config);
            if(empty($value)) {
                return false;
            }
        }
        return true;
    }
}
