<!DOCTYPE html>
<html>

<head>
    <script>
        let js;
        js = document.createElement('script');
        js.onload = () => {
            window.dispatchEvent(new Event('boldCheckoutLoaded'));
        };
        js.onerror = () => {
            window.dispatchEvent(new Event('boldCheckoutLoadFailed'));
        };
        js.src = '{$boldco_script_url}';
        document.head.appendChild(js);
    </script>
</head>

<body>
    <script>

        window.addEventListener("boldCheckoutLoaded", function () {
            const checkout = new BoldCheckout({
                currency: 'COP',
                apiKey: '{$boldco_auth_token}',
                amount: '{$boldco_amount_in_cents}',
                orderId: '{$boldco_order_reference}',
                integritySignature: '{$boldco_signature}',
                redirectionUrl: '{$boldco_return_url nofilter}',
                originUrl: '{$boldco_origin_url nofilter}',
                integrationType: '{$boldco_integration_type}',
                customerData: '{$boldco_customer_data nofilter}',
                billingAddress: '{$boldco_billing_address nofilter}',
            });
            checkout.open();
        });

        window.addEventListener("boldCheckoutLoadFailed", function () {
            console.error("No se logró redireccionar la pasarela de pagos de Bold");
            history.back();
        });
    </script>
</body>

</html>